Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class PrologOutputObjectStream

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.PrologOutputObjectStream

public class PrologOutputObjectStream
extends Object

Vaguely similar to an ObjectOutputStream, but sends the total number of serialized bytes up front, so Prolog can keep grammar and socket reads separate without hanging for input

Constructor Summary
`PrologOutputObjectStream(OutputStream os)`

Method Summary
`void` | `flush()`
`ObjectOutputStream` | `getObjectStream()`
`int` | `size()`
`void` | `writeObject(Object obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrologOutputObjectStream

    public PrologOutputObjectStream(OutputStream os)
                             throws IOException

Method Detail

### getObjectStream

    public ObjectOutputStream getObjectStream()

### flush

    public void flush()
               throws IOException

    `IOException`

### writeObject

    public void writeObject(Object obj)
                     throws IOException

    `IOException`

### size

    public int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD